#include<bits/stdc++.h>

using namespace std;

bool moguce_sortirati(vector<int> a, int li, int ri){
    int brojac=0;
    for(int i=li;i<ri;i++){
        if(a[i]<a[i-1])brojac++;
        if(brojac>1)return false;
    }
    return true;
}

int main(){
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;
    vector<int> a(n);
    for(int i=0;i<n;i++)cin>>a[i];
    int li, ri;
    int q;
    cin>>q;
    for(int i=0;i<q;i++){
        cin>>li>>ri;
        if(moguce_sortirati(a,li,ri)==true)cout<<"DA\n";
        else cout<<"NE\n";
    }
}